"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var BatchClient_1 = require("./BatchClient");
var CancelJobCommand_1 = require("./commands/CancelJobCommand");
var CreateComputeEnvironmentCommand_1 = require("./commands/CreateComputeEnvironmentCommand");
var CreateJobQueueCommand_1 = require("./commands/CreateJobQueueCommand");
var DeleteComputeEnvironmentCommand_1 = require("./commands/DeleteComputeEnvironmentCommand");
var DeleteJobQueueCommand_1 = require("./commands/DeleteJobQueueCommand");
var DeregisterJobDefinitionCommand_1 = require("./commands/DeregisterJobDefinitionCommand");
var DescribeComputeEnvironmentsCommand_1 = require("./commands/DescribeComputeEnvironmentsCommand");
var DescribeJobDefinitionsCommand_1 = require("./commands/DescribeJobDefinitionsCommand");
var DescribeJobQueuesCommand_1 = require("./commands/DescribeJobQueuesCommand");
var DescribeJobsCommand_1 = require("./commands/DescribeJobsCommand");
var ListJobsCommand_1 = require("./commands/ListJobsCommand");
var RegisterJobDefinitionCommand_1 = require("./commands/RegisterJobDefinitionCommand");
var SubmitJobCommand_1 = require("./commands/SubmitJobCommand");
var TerminateJobCommand_1 = require("./commands/TerminateJobCommand");
var UpdateComputeEnvironmentCommand_1 = require("./commands/UpdateComputeEnvironmentCommand");
var UpdateJobQueueCommand_1 = require("./commands/UpdateJobQueueCommand");
var Batch = /** @class */ (function (_super) {
    tslib_1.__extends(Batch, _super);
    function Batch() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Batch.prototype.cancelJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CancelJobCommand_1.CancelJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.createComputeEnvironment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateComputeEnvironmentCommand_1.CreateComputeEnvironmentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.createJobQueue = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateJobQueueCommand_1.CreateJobQueueCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.deleteComputeEnvironment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteComputeEnvironmentCommand_1.DeleteComputeEnvironmentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.deleteJobQueue = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteJobQueueCommand_1.DeleteJobQueueCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.deregisterJobDefinition = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeregisterJobDefinitionCommand_1.DeregisterJobDefinitionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.describeComputeEnvironments = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeComputeEnvironmentsCommand_1.DescribeComputeEnvironmentsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.describeJobDefinitions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeJobDefinitionsCommand_1.DescribeJobDefinitionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.describeJobQueues = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeJobQueuesCommand_1.DescribeJobQueuesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.describeJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeJobsCommand_1.DescribeJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.listJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListJobsCommand_1.ListJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.registerJobDefinition = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterJobDefinitionCommand_1.RegisterJobDefinitionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.submitJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SubmitJobCommand_1.SubmitJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.terminateJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TerminateJobCommand_1.TerminateJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.updateComputeEnvironment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateComputeEnvironmentCommand_1.UpdateComputeEnvironmentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Batch.prototype.updateJobQueue = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateJobQueueCommand_1.UpdateJobQueueCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return Batch;
}(BatchClient_1.BatchClient));
exports.Batch = Batch;
//# sourceMappingURL=Batch.js.map