"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateComputeEnvironment_1 = require("../model/operations/CreateComputeEnvironment");
var CreateComputeEnvironmentCommand = /** @class */ (function () {
    function CreateComputeEnvironmentCommand(input) {
        this.input = input;
        this.model = CreateComputeEnvironment_1.CreateComputeEnvironment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateComputeEnvironmentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateComputeEnvironmentCommand;
}());
exports.CreateComputeEnvironmentCommand = CreateComputeEnvironmentCommand;
//# sourceMappingURL=CreateComputeEnvironmentCommand.js.map