"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteComputeEnvironment_1 = require("../model/operations/DeleteComputeEnvironment");
var DeleteComputeEnvironmentCommand = /** @class */ (function () {
    function DeleteComputeEnvironmentCommand(input) {
        this.input = input;
        this.model = DeleteComputeEnvironment_1.DeleteComputeEnvironment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteComputeEnvironmentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteComputeEnvironmentCommand;
}());
exports.DeleteComputeEnvironmentCommand = DeleteComputeEnvironmentCommand;
//# sourceMappingURL=DeleteComputeEnvironmentCommand.js.map