"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteJobQueue_1 = require("../model/operations/DeleteJobQueue");
var DeleteJobQueueCommand = /** @class */ (function () {
    function DeleteJobQueueCommand(input) {
        this.input = input;
        this.model = DeleteJobQueue_1.DeleteJobQueue;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteJobQueueCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteJobQueueCommand;
}());
exports.DeleteJobQueueCommand = DeleteJobQueueCommand;
//# sourceMappingURL=DeleteJobQueueCommand.js.map