"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeJobs_1 = require("../model/operations/DescribeJobs");
var DescribeJobsCommand = /** @class */ (function () {
    function DescribeJobsCommand(input) {
        this.input = input;
        this.model = DescribeJobs_1.DescribeJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeJobsCommand;
}());
exports.DescribeJobsCommand = DescribeJobsCommand;
//# sourceMappingURL=DescribeJobsCommand.js.map