"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListJobs_1 = require("../model/operations/ListJobs");
var ListJobsCommand = /** @class */ (function () {
    function ListJobsCommand(input) {
        this.input = input;
        this.model = ListJobs_1.ListJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListJobsCommand;
}());
exports.ListJobsCommand = ListJobsCommand;
//# sourceMappingURL=ListJobsCommand.js.map