"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterJobDefinition_1 = require("../model/operations/RegisterJobDefinition");
var RegisterJobDefinitionCommand = /** @class */ (function () {
    function RegisterJobDefinitionCommand(input) {
        this.input = input;
        this.model = RegisterJobDefinition_1.RegisterJobDefinition;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterJobDefinitionCommand;
}());
exports.RegisterJobDefinitionCommand = RegisterJobDefinitionCommand;
//# sourceMappingURL=RegisterJobDefinitionCommand.js.map