"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SubmitJob_1 = require("../model/operations/SubmitJob");
var SubmitJobCommand = /** @class */ (function () {
    function SubmitJobCommand(input) {
        this.input = input;
        this.model = SubmitJob_1.SubmitJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SubmitJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SubmitJobCommand;
}());
exports.SubmitJobCommand = SubmitJobCommand;
//# sourceMappingURL=SubmitJobCommand.js.map