"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TerminateJob_1 = require("../model/operations/TerminateJob");
var TerminateJobCommand = /** @class */ (function () {
    function TerminateJobCommand(input) {
        this.input = input;
        this.model = TerminateJob_1.TerminateJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TerminateJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TerminateJobCommand;
}());
exports.TerminateJobCommand = TerminateJobCommand;
//# sourceMappingURL=TerminateJobCommand.js.map