"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StringList_1 = require("./_StringList");
var _Volumes_1 = require("./_Volumes");
var _EnvironmentVariables_1 = require("./_EnvironmentVariables");
var _MountPoints_1 = require("./_MountPoints");
var _Ulimits_1 = require("./_Ulimits");
var _NetworkInterfaceList_1 = require("./_NetworkInterfaceList");
var _ResourceRequirements_1 = require("./_ResourceRequirements");
var _LinuxParameters_1 = require("./_LinuxParameters");
exports._ContainerDetail = {
    type: "structure",
    required: [],
    members: {
        image: {
            shape: {
                type: "string"
            }
        },
        vcpus: {
            shape: {
                type: "integer"
            }
        },
        memory: {
            shape: {
                type: "integer"
            }
        },
        command: {
            shape: _StringList_1._StringList
        },
        jobRoleArn: {
            shape: {
                type: "string"
            }
        },
        volumes: {
            shape: _Volumes_1._Volumes
        },
        environment: {
            shape: _EnvironmentVariables_1._EnvironmentVariables
        },
        mountPoints: {
            shape: _MountPoints_1._MountPoints
        },
        readonlyRootFilesystem: {
            shape: {
                type: "boolean"
            }
        },
        ulimits: {
            shape: _Ulimits_1._Ulimits
        },
        privileged: {
            shape: {
                type: "boolean"
            }
        },
        user: {
            shape: {
                type: "string"
            }
        },
        exitCode: {
            shape: {
                type: "integer"
            }
        },
        reason: {
            shape: {
                type: "string"
            }
        },
        containerInstanceArn: {
            shape: {
                type: "string"
            }
        },
        taskArn: {
            shape: {
                type: "string"
            }
        },
        logStreamName: {
            shape: {
                type: "string"
            }
        },
        instanceType: {
            shape: {
                type: "string"
            }
        },
        networkInterfaces: {
            shape: _NetworkInterfaceList_1._NetworkInterfaceList
        },
        resourceRequirements: {
            shape: _ResourceRequirements_1._ResourceRequirements
        },
        linuxParameters: {
            shape: _LinuxParameters_1._LinuxParameters
        }
    }
};
//# sourceMappingURL=_ContainerDetail.js.map