"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AttemptDetails_1 = require("./_AttemptDetails");
var _RetryStrategy_1 = require("./_RetryStrategy");
var _JobDependencyList_1 = require("./_JobDependencyList");
var _ParametersMap_1 = require("./_ParametersMap");
var _ContainerDetail_1 = require("./_ContainerDetail");
var _NodeDetails_1 = require("./_NodeDetails");
var _NodeProperties_1 = require("./_NodeProperties");
var _ArrayPropertiesDetail_1 = require("./_ArrayPropertiesDetail");
var _JobTimeout_1 = require("./_JobTimeout");
exports._JobDetail = {
    type: "structure",
    required: [
        "jobName",
        "jobId",
        "jobQueue",
        "status",
        "startedAt",
        "jobDefinition"
    ],
    members: {
        jobName: {
            shape: {
                type: "string"
            }
        },
        jobId: {
            shape: {
                type: "string"
            }
        },
        jobQueue: {
            shape: {
                type: "string"
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        attempts: {
            shape: _AttemptDetails_1._AttemptDetails
        },
        statusReason: {
            shape: {
                type: "string"
            }
        },
        createdAt: {
            shape: {
                type: "integer"
            }
        },
        retryStrategy: {
            shape: _RetryStrategy_1._RetryStrategy
        },
        startedAt: {
            shape: {
                type: "integer"
            }
        },
        stoppedAt: {
            shape: {
                type: "integer"
            }
        },
        dependsOn: {
            shape: _JobDependencyList_1._JobDependencyList
        },
        jobDefinition: {
            shape: {
                type: "string"
            }
        },
        parameters: {
            shape: _ParametersMap_1._ParametersMap
        },
        container: {
            shape: _ContainerDetail_1._ContainerDetail
        },
        nodeDetails: {
            shape: _NodeDetails_1._NodeDetails
        },
        nodeProperties: {
            shape: _NodeProperties_1._NodeProperties
        },
        arrayProperties: {
            shape: _ArrayPropertiesDetail_1._ArrayPropertiesDetail
        },
        timeout: {
            shape: _JobTimeout_1._JobTimeout
        }
    }
};
//# sourceMappingURL=_JobDetail.js.map